%define module    qtawesome
%define pypi_name QtAwesome

Name:           python-%{module}
Version:        0.4.4
Release:        %mkrel 1
Summary:        Iconic fonts in PyQt and PySide applications (Python 2)
Group:          Development/Python
License:        MIT and OFL
URL:            https://github.com/spyder-ide/qtawesome
Source0:        https://github.com/spyder-ide/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description
QtAwesome enables iconic fonts such as Font Awesome and Elusive
Icons in PyQt and PySide applications.

#----------------------------------------------------

%package -n     python3-%{module}
Summary:        Iconic fonts in PyQt and PySide applications (Python 3)
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{module}
QtAwesome enables iconic fonts such as Font Awesome and Elusive
Icons in PyQt and PySide applications.

#----------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 29 2017 daviddavid <daviddavid> 0.4.4-1.mga6
+ Revision: 1084001
- initial package python-qtawesome

